Subject: AW: UNIX-socket problems under cygwin 1.3.2
From: "Ralf Habacker" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "egor duda" <[email-masked]>
Date: Wed, 30 May 2001 08:03:02 +0200

>
> RH> I have figured out another problem on cygwin 1.3.2. On ported
> kde 1.1.2 unix
> RH> sockets doesn't work right. The function accept() returns an
> error. Starting
> RH> this application under cygwin 1.1.8-2 it works. Starting the
> app with strace
> RH> or gdb works.
>
> RH> Does anyone have some hints ?
>
> if you'd be more specific of what error accept() returns, or tell when
> it returns an error -- when called, or on incoming connection, or even
> (gasp) provide a testcase, someone surely may help.

I have found this

socket(PF_UNIX,SOCK_STREAM,0) = 5
connect(5,unix_addr.sun_path=/tmp//kfm_1002_1068BRAMSCHE_0.0,size)=okay
...
later
....
newsock = accept (sock, (struct sockaddr *) &clientname, &size))
Error accepting (UNIX) sock = 5 new_sock=-1 errno=113

It is curious, that if starting this app (kpanel) like below, no errors
occurres.

 	strace kpanel >/dev/null

It seems to me, that there are some correlations between strace printing
code and functionality of some cygwin_accept() sub functions. Perhaps some
statements are only executed while stracing.

If you need some additional informations tell me and I will look.

Regards
Ralf

> AF_UNIX socket code had been changed since 1.1.8, but so far there were no
> known ill effects of those changes.
>
> Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
>
>
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple